---
search:
  tags:
    - Channels
    - PATCH
seo:
  description: >-
    Updates a channel's name, slug, description, and… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/channels/{channel_id} endpoint in the
    Management API.
sidebar:
  label: Update a channel
  badge: PATCH
title: Update a channel
type: openapi-operation
---
Updates a channel's name, slug, description, and active status.

`PATCH /api/v1/{team_slug}/{app_slug}/channels/{channel_id}`

**Request body** (`application/json`, required)

Channel update data

- `active` (boolean)
- `description` (string)
- `market_ids` (string[])
- `name` (string, required)
- `publishing_rule_id` (string)
- `slug` (string, required)

Request body example:

```json
{
  "active": true,
  "description": "string",
  "market_ids": [
    "string"
  ],
  "name": "string",
  "publishing_rule_id": "string",
  "slug": "string"
}
```

**Responses**

- `200` — Channel updated successfully
- `400` — Invalid request
- `404` — Channel not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "active": true,
    "created_at": "string",
    "description": "string",
    "effective_publishing_rule": {
      "created_at": "string",
      "id": "string",
      "is_default": true,
      "minimum_images": 0,
      "name": "string",
      "should_have_brand": true,
      "should_have_category": true,
      "should_have_description": true,
      "should_have_main_category": true,
      "should_have_price": true,
      "should_have_product_name": true,
      "updated_at": "string"
    },
    "id": "string",
    "market_ids": [
      "string"
    ],
    "name": "string",
    "publishing_rule_id": "string",
    "slug": "string",
    "store_group_id": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
